Package: org.codehaus.groovy.grails.plugins

## [Java] Class MockGrailsPluginManager

- org.codehaus.groovy.grails.plugins.MockGrailsPluginManager

- Authors:
    Graeme Rocher
  Since:
    0.4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsPluginManager` | `CONFIG_FILE, application, applicationContext, classNameToPluginMap, failedPlugins, initialised, loadCorePlugins, pluginClasses, pluginList, pluginResources, plugins, shutdown`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MockGrailsPluginManager (GrailsApplication application)`
    `MockGrailsPluginManager ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `checkForChanges()`
    `void` | `doWebDescriptor(org.springframework.core.io.Resource descriptor, java.io.Writer target)`
    `void` | `doWebDescriptor(java.io.File descriptor, java.io.Writer target)`
    `void` | `expectCheckForChanges()`
    `BuildSettings` | `getBuildSettings()`
    `GrailsPlugin` | `getGrailsPlugin(java.lang.String name)`
    `GrailsPlugin` | `getGrailsPlugin(java.lang.String name, java.math.BigDecimal version)`
    `PluginBuildSettings` | `getPluginBuildSettings()`
    `java.util.Collection<?>` | `getPluginObservers(GrailsPlugin plugin)`
    `GrailsPlugin[]` | `getUserPlugins()`
    `boolean` | `hasGrailsPlugin(java.lang.String name)`
    `void` | `informObservers(java.lang.String pluginName, java.util.Map event)`
    `boolean` | `isInitialised()`
    `void` | `loadPlugins()`
    `void` | `refreshPlugin(java.lang.String name)`
    `void` | `registerMockPlugin(GrailsPlugin plugin)`
    `void` | `verify()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractGrailsPluginManager` | `checkInitialised, doArtefactConfiguration, doDynamicMethods, doPostProcessing, doRuntimeConfiguration, doRuntimeConfiguration, getAllPlugins, getFailedLoadPlugins, getFailedPlugin, getGrailsPlugin, getGrailsPlugin, getGrailsPluginForClassName, getPluginForClass, getPluginForInstance, getPluginPath, getPluginPathForClass, getPluginPathForInstance, getPluginResources, getPluginViewsPathForClass, getPluginViewsPathForInstance, getTypeFilters, hasGrailsPlugin, informOfClassChange, informOfClassChange, informOfFileChange, informPluginsOfConfigChange, isInitialised, isShutdown, registerProvidedArtefacts, setApplication, setApplicationContext, setLoadCorePlugins, shutdown, supportsCurrentBuildScope`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public MockGrailsPluginManager(GrailsApplication application)

    - #### public MockGrailsPluginManager()

  - ### Method Detail

    - #### public void checkForChanges()

    - #### public void doWebDescriptor(org.springframework.core.io.Resource descriptor, java.io.Writer target)

    - #### public void doWebDescriptor(java.io.File descriptor, java.io.Writer target)

    - #### public void expectCheckForChanges()

    - #### public BuildSettings getBuildSettings()

    - #### @java.lang.Override public GrailsPlugin getGrailsPlugin(java.lang.String name)

    - #### public GrailsPlugin getGrailsPlugin(java.lang.String name, java.math.BigDecimal version)

    - #### public PluginBuildSettings getPluginBuildSettings()

    - #### public java.util.Collection<?> getPluginObservers(GrailsPlugin plugin)

    - #### public GrailsPlugin[] getUserPlugins()

    - #### @java.lang.Override public boolean hasGrailsPlugin(java.lang.String name)

    - #### @java.lang.SuppressWarnings("rawtypes") public void informObservers(java.lang.String pluginName, java.util.Map event)

    - #### @java.lang.Override public boolean isInitialised()

    - #### public void loadPlugins()

    - #### public void refreshPlugin(java.lang.String name)

    - #### public void registerMockPlugin(GrailsPlugin plugin)

    - #### public void verify()